Skip to main content
GET
/
api2
/
v1
/
vendors
/
{vendorUid}
Get vendor
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/vendors/{vendorUid} \
  --header 'Authorization: <api-key>'
{
  "clients": [
    {
      "id": "<string>",
      "name": "<string>",
      "uid": "<string>"
    }
  ],
  "domains": [
    {
      "id": "<string>",
      "name": "<string>",
      "uid": "<string>"
    }
  ],
  "id": "<string>",
  "name": "<string>",
  "netRateScheme": {
    "createdBy": {
      "email": "<string>",
      "firstName": "<string>",
      "id": "<string>",
      "lastName": "<string>",
      "uid": "<string>",
      "userName": "<string>"
    },
    "dateCreated": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "priceList": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "sourceLocales": [
    "<string>"
  ],
  "subDomains": [
    {
      "id": "<string>",
      "name": "<string>",
      "uid": "<string>"
    }
  ],
  "targetLocales": [
    "<string>"
  ],
  "uid": "<string>",
  "vendorToken": "<string>",
  "workflowSteps": [
    {
      "id": "<string>",
      "lqaEnabled": true,
      "name": "<string>",
      "order": 123,
      "uid": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

vendorUid
string
required

Unique identifier of the vendor

Response

OK

clients
object[]

Clients scoped to this vendor

domains
object[]

Domains scoped to this vendor

id
string

Internal numeric identifier, encoded as a string

name
string

Display name of the vendor organization

netRateScheme
object
priceList
object
sourceLocales
string[]

Source locale codes this vendor works with

subDomains
object[]

Sub-domains scoped to this vendor

targetLocales
string[]

Target locale codes this vendor works with

uid
string

Unique identifier used in API paths

vendorToken
string

Token used to identify and connect the vendor organization

workflowSteps
object[]

Workflow steps scoped to this vendor